/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */


package org.jboss.media.engine;

import javax.media.Buffer;
import javax.media.Format;

/**
 * @version <tt>$Revision: 1.1 $</tt>
 * @author <a href="mailto:spyridon_samothrakis@yahoo.com">Spyridon Samothrakis</a>
 */
public abstract class MediaTranscoder
   
{
   public abstract int process (Buffer in , Buffer out );
   
   public abstract Format getInputFormat();
   
   public abstract void setInputInformat();
   
   public abstract Format getOutputFormat();
   
   public abstract void setOutputFormat();
   
}
